package com.beagle.informix.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.beagle.informix.entity.mybatis.Vccinfo;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface VccinfoMapper extends BaseMapper<Vccinfo> {
    @Results(
            @Result(column = "tblob",property = "tBlobStr")
    )
    @Select("SELECT vccid FROM cti_vccinfo_new where vccid = #{vId}")
    List<Vccinfo> queryList(@Param("vId") Integer vId);

    /**
     * 必须使用org.apache.ibatis.type.BlobTypeHandler转换后，才能保存到数据库
     * @param vccinfo
     */
    void insertData(@Param("vccinfo") Vccinfo vccinfo);
}
